<?php

$EM_CONF[$_EXTKEY] = [
	'title' => 'TinyMCE4 as TYPO3 RTE',
	'description' => 'RTE integration of TinyMCE for TYPO3.',
	'category' => 'be',
	'version' => '2.2.1',
	'state' => 'stable',
	'uploadfolder' => FALSE,
	'createDirs' => '',
	'clearcacheonload' => FALSE,
	'author' => 'Stefan Galinski',
	'author_email' => 'stefan@sgalinski.de',
	'author_company' => 'sgalinski Internet Services',
	'autoload' => 
        [
            'psr-4' => ['SGalinski\\Tinymce4Rte\\' => 'Classes']
        ],
	'constraints' =>
		[
			'depends' =>
				[
					'php' => '5.5.0-7.0.99',
					'typo3' => '7.6.4-7.6.99',
					'tinymce' => '4.3.4-4.4.99',
				],
			'conflicts' =>
				[
					'ch_rterecords' => '',
					'linkhandler' => '',
					'rtehtmlarea' => '',
					'rte_tinymce' => '',
					'tinyrteru' => '',
					'tinyrte' => '',
				],
			'suggests' =>
				[],
		],
];
